- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_any_content_type.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_const.h>`
`#include <axutil_hash.h>`
`#include <axutil_qname.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_any_content_type | axis2_any_content_type_t
## Functions
AXIS2_EXTERN axis2_any_content_type_t * | axis2_any_content_type_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_any_content_type_add_value (axis2_any_content_type_t *any_content_type, const axutil_env_t *env, const axutil_qname_t *qname, const axis2_char_t *value)
AXIS2_EXTERN const axis2_char_t * | axis2_any_content_type_get_value (const axis2_any_content_type_t *any_content_type, const axutil_env_t *env, const axutil_qname_t *qname)
AXIS2_EXTERN axutil_hash_t * | axis2_any_content_type_get_value_map (const axis2_any_content_type_t *any_content_type, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_any_content_type_free (axis2_any_content_type_t *any_content_type, const axutil_env_t *env)

## Detailed Description